Get repository contributors
Retrieve users who have contributed to a repository
Query Parameters
repo_namestring
Repository name in format owner/repo
Response Body
List of contributors
TypeScript Definitions
Use the response body type in TypeScript.
curl -X GET "https://api.microforge.studio/v1/contributors?repo_name=calcom%2Fcal.com"fetch("https://api.microforge.studio/v1/contributors?repo_name=calcom%2Fcal.com")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.microforge.studio/v1/contributors?repo_name=calcom%2Fcal.com"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.microforge.studio/v1/contributors?repo_name=calcom%2Fcal.com"
response = requests.request("GET", url)
print(response.text)[
{
"handle": "rthery",
"name": "Romain Thery",
"email": "romain.thery@ik.me",
"bio": "Game Dev and Open Source Enthusiast",
"website": "https://wiredvagrant.gitlab.io",
"country": "FR",
"avatar_url": "https://avatars.githubusercontent.com/u/430971?v=4",
"twitter_username": "xiaoluoman"
}
]